Create a customer (VIES check if VAT supplied)
POST
/admin/v1/customers
const url = 'https://your-store.example.com/admin/v1/customers';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","password":"example","name":"example","phone":"example","isB2b":false,"vatNumber":"example","taxExempt":false,"acceptsMarketing":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/customers \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "password": "example", "name": "example", "phone": "example", "isB2b": false, "vatNumber": "example", "taxExempt": false, "acceptsMarketing": false }'Request Body required
Section titled “Request Body required ” Media type application/json
object
email
required
string format: email
password
string
name
string
phone
string
isB2b
boolean
vatNumber
string
taxExempt
boolean
acceptsMarketing
boolean